For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Connection Types
      • GETGet Connection Type
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • POSTTest Connection
      • GETGet Connection
      • PUTUpdate Connection
      • DELDelete Connection
      • GETConnection Parameter Values
      • POSTExecute Connection Proxy
      • GETGet Connection Proxy Info
      • GETList Current Org Shared Connections
      • GETList Partner Shared Connections
      • POSTCreate Partner Shared Connection
Logo
Log inBook a demo
API ReferenceConnections

Create Partner Shared Connection

POST
https://app.polytomic.com/api/organizations/:org_id/connections/:connection_id/shared
POST
/api/organizations/:org_id/connections/:connection_id/shared
$curl -X POST https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/connections/248df4b7-aa70-47b8-a036-33ac447e668d/shared \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "child_organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
>}'
1{
2 "data": {
3 "id": "248df4b7-aa70-47b8-a036-33ac447e668d"
4 }
5}
Shares a connection with another organization in the caller's partner account.
Was this page helpful?
Previous

Get Enrichment Source

Next

Authentication

AuthorizationBearer
Bearer partner API key

Path parameters

org_idstringRequiredformat: "uuid"
Unique identifier of the organization that owns the parent connection.
connection_idstringRequiredformat: "uuid"
Unique identifier of the parent connection to share.

Headers

X-Polytomic-VersionstringOptional

Request

This endpoint expects an object.
child_organization_idstringRequiredformat: "uuid"
Unique identifier of the child organization that should receive the shared connection.
namestringOptional
Optional name for the shared copy. Defaults to the parent connection name.

Response

OK
dataobject

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error